Bug 34847 - Background of the QuickStarter icon is non-transparent
Summary: Background of the QuickStarter icon is non-transparent
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other Linux (All)
: medium minor
Assignee: Petr Mladek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-28 13:27 UTC by Christoph
Modified: 2013-05-29 07:56 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Quickstarter-opaque-background-issue.png (13.66 KB, image/png)
2011-02-28 13:27 UTC, Christoph
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph 2011-02-28 13:27:31 UTC
Created attachment 43943 [details]
Quickstarter-opaque-background-issue.png

Issue report by another community member (see [1]):

Under GNOME, the quick starter icon doesn't appear to have a transparent background. An easy way to reproduce this behaviour is to set your GTK theme to New Wave and enable the LibreOffice Quickstarter in Tools > Options > Memory > Enable systray quickstarter. It would look a lot better if we removed the opaque background beneath the icon.

Reason why this happens
IIRC if a program uses EggTrayIcon or X11TrayIcon (or similar) instead of Gtk.StatusIcon, the icon does not contain a transparent background. All we need to do is change the code to use Gtk.StatusIcon (should be relatively simple). 

[1] Original mail and screenshot:
http://www.mail-archive.com/design@libreoffice.org/msg00941.html
Comment 1 Cédric Bosdonnat 2011-03-02 08:55:28 UTC
Strange that the screenshot shows the OOo quickstarter icon...
Comment 3 Cédric Bosdonnat 2011-03-02 09:02:55 UTC
Petr, giving the baby to you
Comment 4 Petr Mladek 2013-05-29 07:56:17 UTC
The icon has been replaced by The Document Foundation symbol, the sheet of paper. It is transparent and looks fine in my gray GNOME theme. I am not sure who fixed this but it works now :-)